## org.apache.mahout.classifier.bayes.mapreduce.common
Class JobExecutor

    java.lang.Object
      org.apache.mahout.classifier.bayes.mapreduce.common.JobExecutor

    public final class JobExecutor

extends java.lang.Object

Base class for executing the Bayes Map/Reduce Jobs

Method Summary
`static void` `execute(java.lang.String[] args, BayesJob job)` Execute a bayes classification job.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### execute

    public static void execute(java.lang.String[] args,
                               BayesJob job)
                        throws java.io.IOException

  Execute a bayes classification job. Input and output path are parsed from the input parameters.

  Parameters:
    `args` - input parameters.
    `job` - the job to execute.
  Throws:
    `java.lang.Exception` - any exception thrown at job execution.
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.